GCLOUD_COMPUTE_RESET-WINDOWS-PASSWORD(1)

NAME

gcloud compute reset-windows-password - reset and return a password for a Windows machine instance

SYNOPSIS

gcloud compute reset-windows-password INSTANCE [--user USER] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute reset-windows-password allows a user to reset and retrieve a password for a Windows virtual machine instance running Google Compute Engine Agent 3.0.0.0 or later. If the Windows account does not exist, this command will cause the account to be created and the password for that new account will be returned. For Windows instances that are running a domain controller, running this command creates a new domain user if the user does not exist, or resets the password if the user does exist. It is not possible to use this command to create a local user on a domain-controller instance. For all other instances, including domain-joined instances, running this command creates a local user or resets the password for a local user. WARNING: Resetting a password for an existing user can cause the loss of data encrypted with the current Windows password, such as encrypted files or stored passwords. The user running this command must have write permission for the Google Compute Engine project containing the Windows instance.

POSITIONAL ARGUMENTS
INSTANCE
    The name of the Windows instance to reset the password for.

FLAGS
--user USER
    USER specifies the username to get the password for. If omitted, the username is derived from your authenticated account email address.
--zone ZONE
    The zone of the instance to reset password for. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.